package com.ruoyi.change.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.change.mapper.TbAssetOrderDetailMapper;
import com.ruoyi.change.domain.TbAssetOrderDetail;
import com.ruoyi.change.service.ITbAssetOrderDetailService;

/**
 * 资产单据明细Service业务层处理
 * 
 * @author 原动力
 * @date 2023-05-15
 */
@Service
public class TbAssetOrderDetailServiceImpl implements ITbAssetOrderDetailService 
{
    @Autowired
    private TbAssetOrderDetailMapper tbAssetOrderDetailMapper;

    /**
     * 查询资产单据明细
     * 
     * @param id 资产单据明细主键
     * @return 资产单据明细
     */
    @Override
    public TbAssetOrderDetail selectTbAssetOrderDetailById(Long id)
    {
        return tbAssetOrderDetailMapper.selectTbAssetOrderDetailById(id);
    }

    /**
     * 查询资产单据明细列表
     * 
     * @param tbAssetOrderDetail 资产单据明细
     * @return 资产单据明细
     */
    @Override
    public List<TbAssetOrderDetail> selectTbAssetOrderDetailList(TbAssetOrderDetail tbAssetOrderDetail)
    {
        return tbAssetOrderDetailMapper.selectTbAssetOrderDetailList(tbAssetOrderDetail);
    }

    /**
     * 新增资产单据明细
     * 
     * @param tbAssetOrderDetail 资产单据明细
     * @return 结果
     */
    @Override
    public int insertTbAssetOrderDetail(TbAssetOrderDetail tbAssetOrderDetail)
    {
        return tbAssetOrderDetailMapper.insertTbAssetOrderDetail(tbAssetOrderDetail);
    }

    /**
     * 修改资产单据明细
     * 
     * @param tbAssetOrderDetail 资产单据明细
     * @return 结果
     */
    @Override
    public int updateTbAssetOrderDetail(TbAssetOrderDetail tbAssetOrderDetail)
    {
        return tbAssetOrderDetailMapper.updateTbAssetOrderDetail(tbAssetOrderDetail);
    }

    /**
     * 批量删除资产单据明细
     * 
     * @param ids 需要删除的资产单据明细主键
     * @return 结果
     */
    @Override
    public int deleteTbAssetOrderDetailByIds(Long[] ids)
    {
        return tbAssetOrderDetailMapper.deleteTbAssetOrderDetailByIds(ids);
    }

    /**
     * 删除资产单据明细信息
     * 
     * @param id 资产单据明细主键
     * @return 结果
     */
    @Override
    public int deleteTbAssetOrderDetailById(Long id)
    {
        return tbAssetOrderDetailMapper.deleteTbAssetOrderDetailById(id);
    }
}
